.projects {
    background: $background url(../img/projects-bg.svg) 0 67% / cover no-repeat;

    @media (max-width: $tablet-width) {
        background: $light-dark-bg;
    }

    &-desktop {
        @media (max-width: $tablet-width) {
            display: none;
        }
    }

    &-mobile {
        display: none;

        @media (max-width: $tablet-width) {
            display: block;
        }
    }

    &__title {
        position: relative;
        max-width: 155px;
        margin: 0;
        font-family: 'YesevaOne-Regular', sans-serif;
        font-size: 27px;
        line-height: 37px;
        letter-spacing: -0.07em;
        color: $main-color;
        font-weight: 400;
        text-transform: uppercase;

        &::after {
            content: '';
            display: inline-block;
            width: 90px;
            height: 1px;
            background: $main-color;
            position: absolute;
            bottom: 15px;
            right: -90px;
        }

        @media (max-width: $tablet-width) {
            margin: 0 auto;
            font-size: 22px;
            text-align: center;

            &::after {
                display: none;
            }
        }
    }

    &__subtitle {
        font-size: 18px;
        line-height: 29px;
        color: $secondary-color;
        max-width: 440px;

        @media (max-width: $tablet-width) {
            margin: 0 auto;
            margin-top: 25px;
            margin-bottom: 35px;
            text-align: center;
            font-size: 14px;
            line-height: 158%;
        }
    }

    &-item {
        display: flex;
        justify-content: space-between;

        &__left {
            padding-bottom: 50px;
            width: 31%;
            margin-top: 80px;

            @media (max-width: $tablet-width) {
                width: 100%;
                margin-top: 0;
                padding-bottom: 0;
            }
        }

        &__right {
            overflow: hidden;
            width: 64%;

            @media (max-width: $tablet-width) {
                width: 100%;
                position: relative;
            }
        }
    }

    &__img {
        // width: 100% !important;

        img {
            width: 100%;
            height: auto;
        }
    }

    &__info {
        padding: 0;
        margin: 0;
        list-style-type: none;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;

        @media (max-width: $tablet-width) {
            margin-top: 35px;
        }
    }

    &-info {
        &__title {
            font-family: 'YesevaOne-Regular', sans-serif;
            font-size: 18px;
            line-height: 25px;
            text-transform: uppercase;
            color: $main-color;

            @media (max-width: $tablet-width) {
                margin: 0;
                margin-bottom: 10px;
                font-size: 14px;
            }
        }

        &__text {
            font-size: 15px;
            line-height: 20px;
            color: $secondary-color;

            @media (max-width: $tablet-width) {
                font-size: 14px;
            }
        }

        &__item {
            width: 47%;

            @media (max-width: $tablet-width) {
                margin-bottom: 30px;
            }
        }
    }

    &__navigation {
        margin-top: -15px;
        display: flex;
        align-items: center;

        @media (max-width: $desktop-width) {
            margin-top: 20px;
        }
    }

    &__pagination {
        position: static;
    }

    &__thumbs {
        margin-bottom: 52px;

        @media (max-width: $desktop-width) {
            padding-left: 0;
        }
    }


    &-thumbs {
        &-wrap {
            display: flex;

            @media (max-width: $desktop-width) {
                justify-content: flex-end;
            }
        }
    }

    &-item {
        opacity: 0 !important;
        transition: opacity 0s !important;

        &.swiper-slide-active {
            opacity: 1 !important;
        }

        @media (max-width: $tablet-width) {
            opacity: 1 !important;
        }

        &__prev {
            z-index: 9;
            background: none;

            @media (max-width: $tablet-width) {
                margin: 0;
                transform: rotate(180deg);
                top: 50%;
                left: 40px;
                height: 70px;


                img {
                    width: 70px;
                }
            }

            @media (max-width: $phone-width) {
                top: 38%;
            }
        }

        &__next {
            z-index: 9;
            right: 60px;
            margin-top: 15px;
            background: none;
            top: 260px;

            @media (max-width: $desktop-width) {
                top: 34%;
            }

            @media (max-width: $tablet-width) {
                right: 40px;
                margin-top: 0;
                top: 50%;
                height: 70px;


                img {
                    width: 70px;
                    height: 70px;
                }
            }

            @media (max-width: $phone-width) {
                top: 38%;
            }
        }
    }
}

.main__projects {
    padding-top: 100px;
    padding-bottom: 350px;

    @media (max-width: $tablet-width) {
        padding-top: 36px;
        padding-bottom: 0;
    }
}

.swiper-container {
    overflow: visible;
}

.swiper-pagination-bullet {
    background: rgba(255, 255, 255, 0.3);
    width: 10px;
    height: 10px;
    margin: 0 9px;
}

.swiper-pagination-bullet-active {
    background: $secondary-color;
}

.swiper-prev {
    z-index: 9;
    margin-right: 20px;
    cursor: pointer;
    height: 14px;
}

.swiper-next {
    z-index: 9;
    margin-left: 20px;
    cursor: pointer;
    height: 14px;
}

.swiper-button-next:after,
.swiper-container-rtl .swiper-button-prev:after {
    display: none;
}


.pagination__bottom {
    font-size: 0px;
    line-height: 0px;
}

.pagination__top {
    position: static;
    margin-bottom: 50px;
    text-align: left;
}

.pagination__top .swiper-pagination-bullet {
    font-family: 'YesevaOne-Regular', sans-serif;
    margin-right: 60px !important;
    color: rgba(255, 255, 255, 1);
    width: auto !important;
    height: 100%;
    cursor: pointer;
    text-transform: uppercase;
    font-size: 14px;
    max-width: 220px;
    background: none;
    border-radius: 0;
    outline: none;

    @media (max-width: $desktop-width) {
        margin-right: 30px !important;
    }
}

.pagination__top .swiper-pagination-bullet-active {
    padding-bottom: 7px;
    border-bottom: 1px solid $main-color;
    color: $main-color;
}